> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new Transaction history



## OpenAPI

````yaml Wallet post /{walletId}/transactionHistory
openapi: 3.0.1
info:
  title: Wallet
  description: wallet
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/wallet
security:
  - default: []
paths:
  /{walletId}/transactionHistory:
    post:
      tags:
        - Transactions
      summary: Create a new Transaction history
      operationId: WalletController_createTransactionHistory
      parameters:
        - name: walletId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTransactionHistoryReq'
        required: true
      responses:
        '201':
          description: Create transaction history
      security:
        - default: []
components:
  schemas:
    CreateTransactionHistoryReq:
      required:
        - customerId
        - transactionId
        - type
      type: object
      properties:
        type:
          type: string
        transactionId:
          type: string
        customerId:
          type: string
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````